%define major 10
%define libname %mklibname qpdf %{major}
%define develname %mklibname qpdf -d

Name:		qpdf
Summary:	Inspect and manipulate PDF files
Version:	4.0.1
Release:	2
Group:		Office
License:	Artistic
URL:		http://sourceforge.net/projects/qpdf/
Source0:	%{name}-%{version}.tar.gz

BuildRequires:	zlib-devel
BuildRequires:	pcre-devel

# for fix-qdf and test suite
BuildRequires: perl
BuildRequires: perl(Digest::MD5)

# for autoreconf
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool

%description
QPDF is a C++ library and set of programs that inspect and manipulate
the structure of PDF files. It can encrypt and linearize files, expose
the internals of a PDF file, and do many other operations useful to end
users and PDF developers.

%package -n	%{libname}
Summary:	Inspect and manipulate PDF files library
Group:		System/Libraries

%description -n %{libname}
QPDF is a C++ library and set of programs that inspect and manipulate
the structure of PDF files. It can encrypt and linearize files, expose
the internals of a PDF file, and do many other operations useful to end
users and PDF developers.

%package -n	%{develname}
Summary:	Static library and header files for the qpdf library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Provides:	qpdf-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Devel package for %{name}

%prep
%setup -q
%apply_patches

%build
# work-around check-rpaths errors
autoreconf --verbose --force --install

%configure2_5x --disable-static \
           --enable-show-failed-test-output

%make

%install
%makeinstall_std

mkdir __doc
mv  %{buildroot}%{_datadir}/doc/qpdf/* __doc
rm -rf %{buildroot}%{_datadir}/doc/qpdf

%check
make check

%files
%doc Artistic-2.0 ChangeLog README* TODO
%{_bindir}/fix-qdf
%{_bindir}/%{name}
%{_bindir}/zlib-flate
%{_mandir}/man1/fix-qdf.1.*
%{_mandir}/man1/qpdf.1.*
%{_mandir}/man1/zlib-flate.1.*

%files -n %{develname}
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/*.hh
%{_libdir}/libqpdf.so
%{_libdir}/pkgconfig/libqpdf.pc

%files -n %{libname}
%{_libdir}/libqpdf.so.%{major}*


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 4.0.1-2
+ Revision: 2eb4f81
- MassBuild#440: Increase release tag


